/**
 * 
 */
package com.hdp.pi.repository.kolon;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.hdp.pi.domain.kolon.KolonMemberPreassignSn;

@Repository
public interface KolonMemberPreassignSnRepository extends JpaRepository<KolonMemberPreassignSn, Long>, JpaSpecificationExecutor<KolonMemberPreassignSn> {

	@Modifying
	@Query("update KolonMemberPreassignSn SET useStatus=2,updateTime = SYSDATE() where csNo=:csNo")
	public void setStatusWithKolonReplace(@Param("csNo") Long csNo);
}
